import gorilla

from . import alvin_snowflake
from . import util

util.setup_environment_config()


patches = gorilla.find_patches([alvin_snowflake])

print(f"Alvin: found {len(patches)} patches")

for patch in patches:
    gorilla.apply(patch)
    print(
        f"Alvin: patched {patch.destination.__module__} "
        f"{patch.destination.__name__} {patch.name}"
    )
